<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC
    "-//Apache Software Foundation//DTD Struts Configuration 2.5//EN"
    "http://struts.apache.org/dtds/struts-2.5.dtd">
<struts>

	<constant name="struts.devMode" value="true" />


	<package name="residente" namespace="/residentes"
		extends="struts-default, json-default">
		<interceptors>
			<interceptor name="authenticationInterceptor"
				class="webCondominio.controller.AuthenticationInterceptor" />
			<interceptor-stack name="secureStack">
				<interceptor-ref name="authenticationInterceptor" />
				<interceptor-ref name="defaultStack" />
			</interceptor-stack>
		</interceptors>

		<action name="pago"
			class="webCondominio.controller.ControllerPago">
			<result name="success" type="redirect">${urlPago}</result>
		</action>
		
		<action name="login"
			class="webCondominio.controller.ControllerVistas">
			<result name="residente" type="redirectAction">
				<param name="actionName">residente</param>
				<param name="namespace">/residentes</param>
			</result>
			<result name="directiva" type="redirectAction">
				<param name="actionName">directiva</param>
				<param name="namespace">/directiva</param>
			</result>
			<result name="admin" type="redirectAction">
				<param name="actionName">admin</param>
				<param name="namespace">/administracion</param>
			</result>
			<result name="input" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

		<action name="logout"
			class="webCondominio.controller.LogoutAction">
			<result name="success" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

		<action name="getPagoDatos"
			class="webCondominio.action.ActionPago" method="listaJson">
			<result type="json" />
		</action>

		<action name="getPagoView"
			class="webCondominio.action.ActionPago" method="execute">
			<interceptor-ref name="secureStack" />
			<result name="success">views/pago.jsp</result>
			<result name="login" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

		<action name="residente">
			<interceptor-ref name="secureStack" />
			<result>views/residentes.jsp</result>
			<result name="login" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

		<action name="multa" class="webCondominio.action.ActionMulta">
			<interceptor-ref name="secureStack" />
			<result name="success">views/multas.jsp</result>
			<result name="login" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

		<action name="reserva"
			class="webCondominio.action.ActionServicio">
			<interceptor-ref name="secureStack" />
			<result name="success">views/reservas.jsp</result>
			<result name="login" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

		<!-- TODO Crear lista Reserva-->
		<action name="listaReserva"
			class="webCondominio.action.ActionServicio" method="listaJson">
			<interceptor-ref name="secureStack" />
			<result type="json"/>
		</action>

		<action name="anuncio"
			class="webCondominio.action.ActionAnuncio">
			<interceptor-ref name="secureStack" />
			<result name="success">views/anuncios.jsp</result>
			<result name="login" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

		<action name="dispo"
			class="webCondominio.action.ActionDisponibilidad">
			<interceptor-ref name="secureStack" />
			<result type="json" />
		</action>

		<action name="setReserva"
			class="webCondominio.action.ActionReserva">
			<interceptor-ref name="secureStack" />
			<result type="json" />

		</action>

	</package>

	<package name="directiva" extends="struts-default, json-default" namespace="/directiva">
		<action name="directiva">
			<result>views/directiva.jsp</result>
		</action>

		<action name="getResidentes" class="webCondominio.action.ActionListaResidentes">
			<result type="json"/>
		</action>

		<action name="getMulta" class="webCondominio.action.ActionMulta" method="multa">
			<result type="json"/>
		</action>

		<action name="setMulta" class="webCondominio.action.ActionSetMulta">
			<result type="json"/>
		</action>

		<action name="setImagenAnuncio" class="webCondominio.action.ActionSetAnuncio">
			<result type="json"/>
		</action>
	</package>

	<package name="pkgAdmin" extends="struts-default, json-default" namespace="/administracion">
		<action name="admin">
			<result> views/admins.jsp </result>
		</action>
		<action name="getListaResidentes" class="webCondominio.action.ActionResidentes">
			<result type="json"/>
		</action>
		<action name="getCondominios" class="webCondominio.action.ActionCondominios">
			<result type="json"/>
		</action>
	</package>

	<package name="index" extends="struts-default" namespace="/">
		<interceptors>
			<interceptor name="authenticationInterceptor"
						 class="webCondominio.controller.AuthenticationInterceptor" />
			<interceptor-stack name="secureStack">
				<interceptor-ref name="authenticationInterceptor" />
				<interceptor-ref name="defaultStack" />
			</interceptor-stack>
		</interceptors>

		<action name="return">
			<interceptor-ref name="secureStack" />
			<result>index.jsp</result>
			<result name="login" type="redirectAction">
				<param name="actionName">return</param>
				<param name="namespace">/</param>
			</result>
		</action>

	</package>


</struts>